/*
 * Class WEL_GDIP_IMAGE_CODEC_INFO
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_11 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_11 [] = {0xFF01,1551,10,0xFFFF};
static const EIF_TYPE_INDEX egt_2_11 [] = {0xFF01,10,0xFFFF};
static const EIF_TYPE_INDEX egt_3_11 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_11 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_11 [] = {0xFF01,10,0xFFFF};
static const EIF_TYPE_INDEX egt_6_11 [] = {0xFF01,10,0xFFFF};
static const EIF_TYPE_INDEX egt_7_11 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_11 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_11 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_11 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_11 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_11 [] = {0xFF01,10,0xFFFF};
static const EIF_TYPE_INDEX egt_13_11 [] = {0xFF01,116,0xFFFF};
static const EIF_TYPE_INDEX egt_14_11 [] = {0xFF01,116,0xFFFF};
static const EIF_TYPE_INDEX egt_15_11 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_16_11 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_17_11 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_18_11 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_19_11 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_20_11 [] = {0xFF01,669,0xFFFF};
static const EIF_TYPE_INDEX egt_21_11 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_22_11 [] = {0xFF01,619,0xFFFF};


static const struct desc_info desc_11[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_11), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_11), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_11), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_11), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_11), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_11), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_11), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_11), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_11), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_11), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_11), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_11), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x15 /*10*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_11), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 94, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 95, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_11), 96, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_11), 97, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_11), 98, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_11), 99, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_11), 100, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_11), 101, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_11), 102, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 103, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 104, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 105, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 106, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 107, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 108, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_11), 109, 0},
	{EIF_GENERIC(egt_21_11), 110, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 111, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 112, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 113, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 114, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 115, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 116, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 117, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 118, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 119, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 120, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 121, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 122, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_11), 123, 0xFFFFFFFF},
};
void Init11(void)
{
	IDSC(desc_11, 0, 10);
	IDSC(desc_11 + 1, 1, 10);
	IDSC(desc_11 + 32, 1574, 10);
}


#ifdef __cplusplus
}
#endif
